=== modified file 'CMakeLists.txt'
--- CMakeLists.txt	2011-06-17 15:21:22 +0000
+++ CMakeLists.txt	2011-06-20 20:46:03 +0000
@@ -4,7 +4,7 @@
 
 include (cmake/Documentation.cmake)
 
-subdirs (shared services tests tools doc)
+subdirs (shared services tools doc)
 
 #
 # Base bits
@@ -90,8 +90,6 @@
 file (GLOB _datafiles "${CMAKE_CURRENT_SOURCE_DIR}/resources/*")
 install (FILES ${_datafiles} DESTINATION ${PKGDATADIR})
 
-install (FILES plugin-unityshell.png DESTINATION ${DATADIR}/ccsm/icons/hicolor/64x64/apps)
-
 #
 # i18n
 #
@@ -124,32 +122,12 @@
 endif (DISABLE_MAINTAINER_CFLAGS)
 
 #
-# src (Compiz Plugin)
+# Compiz Plugins
 #
-set (UNITY_PLUGIN_DEPS "nux-0.9;libbamf3;dee-1.0;gio-2.0;gio-unix-2.0;dbusmenu-glib-0.4;x11;libstartup-notification-1.0;gthread-2.0;indicator3;atk;unity-misc;gconf-2.0;libutouch-geis;gtk+-3.0")
-
 find_package (Compiz REQUIRED)
 include (CompizPlugin)
-compiz_plugin (unityshell
-               PKGDEPS ${UNITY_PLUGIN_DEPS}
-               PLUGINDEPS composite opengl
-               CFLAGSADD "-DINSTALLPREFIX='\"${CMAKE_INSTALL_PREFIX}\"' -DPKGDATADIR='\"${PKGDATADIR}\"' -I${CMAKE_BINARY_DIR} -I${CMAKE_SOURCE_DIR}/shared ${BOOT_LOGGER_FLAG} -DGETTEXT_PACKAGE='\"unity\"' ${MAINTAINER_CFLAGS}"
-               LIBRARIES "-lunity-shared-${UNITY_API_VERSION}"
-               LIBDIRS "${CMAKE_BINARY_DIR}/shared"
-               )
-add_dependencies(unityshell unity-shared-${UNITY_API_VERSION})
-
-#
-# UTouch things
-#
-
-compiz_add_plugins_in_folder ("${CMAKE_SOURCE_DIR}/utouch")
-
-#
-# Dialog things
-#
-
-compiz_add_plugins_in_folder ("${CMAKE_SOURCE_DIR}/dialog")
+
+compiz_add_plugins_in_folder ("${CMAKE_SOURCE_DIR}/plugins/")
 
 #
 # GSettings Schema

=== removed directory 'dialog'
=== added directory 'plugins'
=== renamed directory 'utouch/unity-mt-grab-handles' => 'plugins/unity-mt-grab-handles'
=== renamed directory 'dialog/unitydialog' => 'plugins/unitydialog'
=== added directory 'plugins/unityshell'
=== added file 'plugins/unityshell/CMakeLists.txt'
--- plugins/unityshell/CMakeLists.txt	1970-01-01 00:00:00 +0000
+++ plugins/unityshell/CMakeLists.txt	2011-06-20 20:46:03 +0000
@@ -0,0 +1,16 @@
+find_package (Compiz REQUIRED)
+
+include (CompizPlugin)
+
+set (UNITY_PLUGIN_DEPS "nux-0.9;libbamf3;dee-1.0;gio-2.0;gio-unix-2.0;dbusmenu-glib-0.4;x11;libstartup-notification-1.0;gthread-2.0;indicator3;atk;unity-misc;gconf-2.0;libutouch-geis;gtk+-3.0")
+
+compiz_plugin (unityshell
+               PKGDEPS ${UNITY_PLUGIN_DEPS}
+               PLUGINDEPS composite opengl
+               CFLAGSADD "-DINSTALLPREFIX='\"${CMAKE_INSTALL_PREFIX}\"' -DPKGDATADIR='\"${PKGDATADIR}\"' -I${CMAKE_BINARY_DIR} -I${CMAKE_SOURCE_DIR}/shared ${BOOT_LOGGER_FLAG} -DGETTEXT_PACKAGE='\"unity\"' ${MAINTAINER_CFLAGS}"
+               LIBRARIES "-lunity-shared-${UNITY_API_VERSION}"
+               LIBDIRS "${CMAKE_BINARY_DIR}/shared"
+               )
+add_dependencies(unityshell unity-shared-${UNITY_API_VERSION})
+
+install (FILES plugin-unityshell.png DESTINATION ${DATADIR}/ccsm/icons/hicolor/64x64/apps)

=== renamed file 'plugin-unityshell.png' => 'plugins/unityshell/plugin-unityshell.png'
=== renamed directory 'src' => 'plugins/unityshell/src'
=== renamed file 'unityshell.xml.in' => 'plugins/unityshell/unityshell.xml.in'
=== modified file 'po/POTFILES.in'
--- po/POTFILES.in	2011-04-19 09:18:04 +0000
+++ po/POTFILES.in	2011-06-20 20:46:03 +0000
@@ -1,11 +1,11 @@
-src/BamfLauncherIcon.cpp
-src/DeviceLauncherIcon.cpp
-src/LauncherController.cpp
-src/PlaceLauncherIcon.cpp
-src/PlaceEntryHome.cpp
-src/PlaceEntryRemote.cpp
-src/PlacesGroup.cpp
-src/PlacesHomeView.cpp
-src/SpacerLauncherIcon.cpp
-src/TrashLauncherIcon.cpp
+plugins/unityshell/src/BamfLauncherIcon.cpp
+plugins/unityshell/src/DeviceLauncherIcon.cpp
+plugins/unityshell/src/LauncherController.cpp
+plugins/unityshell/src/PlaceLauncherIcon.cpp
+plugins/unityshell/src/PlaceEntryHome.cpp
+plugins/unityshell/src/PlaceEntryRemote.cpp
+plugins/unityshell/src/PlacesGroup.cpp
+plugins/unityshell/src/PlacesHomeView.cpp
+plugins/unityshell/src/SpacerLauncherIcon.cpp
+plugins/unityshell/src/TrashLauncherIcon.cpp
 tools/unity-preferences.c

=== modified file 'po/ar.po'
--- po/ar.po	2011-06-01 23:46:41 +0000
+++ po/ar.po	2011-06-20 20:46:03 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-06-02 11:16+1200\n"
+"POT-Creation-Date: 2011-06-20 21:33+0100\n"
 "PO-Revision-Date: 2010-03-02 12:36-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Arabic\n"
@@ -99,6 +99,9 @@
 msgid "Trash"
 msgstr ""
 
+msgid "Unmount"
+msgstr ""
+
 #. Photos
 #. FIXME: Need to figure out the default
 msgid "View Photos"

=== modified file 'po/bg.po'
--- po/bg.po	2011-06-01 23:46:41 +0000
+++ po/bg.po	2011-06-20 20:46:03 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-06-02 11:16+1200\n"
+"POT-Creation-Date: 2011-06-20 21:33+0100\n"
 "PO-Revision-Date: 2010-03-02 12:36-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Bulgarian\n"
@@ -99,6 +99,9 @@
 msgid "Trash"
 msgstr ""
 
+msgid "Unmount"
+msgstr ""
+
 #. Photos
 #. FIXME: Need to figure out the default
 msgid "View Photos"

=== modified file 'po/cs.po'
--- po/cs.po	2011-06-01 23:46:41 +0000
+++ po/cs.po	2011-06-20 20:46:03 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-06-02 11:16+1200\n"
+"POT-Creation-Date: 2011-06-20 21:33+0100\n"
 "PO-Revision-Date: 2010-03-02 12:36-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Czech\n"
@@ -100,6 +100,9 @@
 msgid "Trash"
 msgstr ""
 
+msgid "Unmount"
+msgstr ""
+
 #. Photos
 #. FIXME: Need to figure out the default
 msgid "View Photos"

=== modified file 'po/da.po'
--- po/da.po	2011-06-01 23:46:41 +0000
+++ po/da.po	2011-06-20 20:46:03 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-06-02 11:16+1200\n"
+"POT-Creation-Date: 2011-06-20 21:33+0100\n"
 "PO-Revision-Date: 2010-03-02 12:36-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Danish\n"
@@ -100,6 +100,9 @@
 msgid "Trash"
 msgstr ""
 
+msgid "Unmount"
+msgstr ""
+
 #. Photos
 #. FIXME: Need to figure out the default
 msgid "View Photos"

=== modified file 'po/de.po'
--- po/de.po	2011-06-01 23:46:41 +0000
+++ po/de.po	2011-06-20 20:46:03 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-06-02 11:16+1200\n"
+"POT-Creation-Date: 2011-06-20 21:33+0100\n"
 "PO-Revision-Date: 2010-03-02 12:36-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: German\n"
@@ -100,6 +100,9 @@
 msgid "Trash"
 msgstr ""
 
+msgid "Unmount"
+msgstr ""
+
 #. Photos
 #. FIXME: Need to figure out the default
 msgid "View Photos"

=== modified file 'po/el.po'
--- po/el.po	2011-06-01 23:46:41 +0000
+++ po/el.po	2011-06-20 20:46:03 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-06-02 11:16+1200\n"
+"POT-Creation-Date: 2011-06-20 21:33+0100\n"
 "PO-Revision-Date: 2010-03-02 12:36-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Greek\n"
@@ -100,6 +100,9 @@
 msgid "Trash"
 msgstr ""
 
+msgid "Unmount"
+msgstr ""
+
 #. Photos
 #. FIXME: Need to figure out the default
 msgid "View Photos"

=== modified file 'po/es.po'
--- po/es.po	2011-06-01 23:46:41 +0000
+++ po/es.po	2011-06-20 20:46:03 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-06-02 11:16+1200\n"
+"POT-Creation-Date: 2011-06-20 21:33+0100\n"
 "PO-Revision-Date: 2010-03-02 12:36-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Spanish\n"
@@ -100,6 +100,9 @@
 msgid "Trash"
 msgstr ""
 
+msgid "Unmount"
+msgstr ""
+
 #. Photos
 #. FIXME: Need to figure out the default
 msgid "View Photos"

=== modified file 'po/fi.po'
--- po/fi.po	2011-06-01 23:46:41 +0000
+++ po/fi.po	2011-06-20 20:46:03 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-06-02 11:16+1200\n"
+"POT-Creation-Date: 2011-06-20 21:33+0100\n"
 "PO-Revision-Date: 2010-03-02 12:36-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Finnish\n"
@@ -100,6 +100,9 @@
 msgid "Trash"
 msgstr ""
 
+msgid "Unmount"
+msgstr ""
+
 #. Photos
 #. FIXME: Need to figure out the default
 msgid "View Photos"

=== modified file 'po/fr.po'
--- po/fr.po	2011-06-01 23:46:41 +0000
+++ po/fr.po	2011-06-20 20:46:03 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-06-02 11:16+1200\n"
+"POT-Creation-Date: 2011-06-20 21:33+0100\n"
 "PO-Revision-Date: 2010-03-02 12:36-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: French\n"
@@ -100,6 +100,9 @@
 msgid "Trash"
 msgstr ""
 
+msgid "Unmount"
+msgstr ""
+
 #. Photos
 #. FIXME: Need to figure out the default
 msgid "View Photos"

=== modified file 'po/he.po'
--- po/he.po	2011-06-01 23:46:41 +0000
+++ po/he.po	2011-06-20 20:46:03 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-06-02 11:16+1200\n"
+"POT-Creation-Date: 2011-06-20 21:33+0100\n"
 "PO-Revision-Date: 2010-03-02 12:36-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Hebrew\n"
@@ -100,6 +100,9 @@
 msgid "Trash"
 msgstr ""
 
+msgid "Unmount"
+msgstr ""
+
 #. Photos
 #. FIXME: Need to figure out the default
 msgid "View Photos"

=== modified file 'po/hi.po'
--- po/hi.po	2011-06-01 23:46:41 +0000
+++ po/hi.po	2011-06-20 20:46:03 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-06-02 11:16+1200\n"
+"POT-Creation-Date: 2011-06-20 21:33+0100\n"
 "PO-Revision-Date: 2010-03-02 12:36-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Hindi\n"
@@ -99,6 +99,9 @@
 msgid "Trash"
 msgstr ""
 
+msgid "Unmount"
+msgstr ""
+
 #. Photos
 #. FIXME: Need to figure out the default
 msgid "View Photos"

=== modified file 'po/hr.po'
--- po/hr.po	2011-06-01 23:46:41 +0000
+++ po/hr.po	2011-06-20 20:46:03 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-06-02 11:16+1200\n"
+"POT-Creation-Date: 2011-06-20 21:33+0100\n"
 "PO-Revision-Date: 2010-03-02 12:36-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Croatian\n"
@@ -101,6 +101,9 @@
 msgid "Trash"
 msgstr ""
 
+msgid "Unmount"
+msgstr ""
+
 #. Photos
 #. FIXME: Need to figure out the default
 msgid "View Photos"

=== modified file 'po/hu.po'
--- po/hu.po	2011-06-01 23:46:41 +0000
+++ po/hu.po	2011-06-20 20:46:03 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-06-02 11:16+1200\n"
+"POT-Creation-Date: 2011-06-20 21:33+0100\n"
 "PO-Revision-Date: 2010-03-02 12:36-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Hungarian\n"
@@ -100,6 +100,9 @@
 msgid "Trash"
 msgstr ""
 
+msgid "Unmount"
+msgstr ""
+
 #. Photos
 #. FIXME: Need to figure out the default
 msgid "View Photos"

=== modified file 'po/it.po'
--- po/it.po	2011-06-01 23:46:41 +0000
+++ po/it.po	2011-06-20 20:46:03 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-06-02 11:16+1200\n"
+"POT-Creation-Date: 2011-06-20 21:33+0100\n"
 "PO-Revision-Date: 2010-03-02 12:36-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Italian\n"
@@ -100,6 +100,9 @@
 msgid "Trash"
 msgstr ""
 
+msgid "Unmount"
+msgstr ""
+
 #. Photos
 #. FIXME: Need to figure out the default
 msgid "View Photos"

=== modified file 'po/ja.po'
--- po/ja.po	2011-06-01 23:46:41 +0000
+++ po/ja.po	2011-06-20 20:46:03 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-06-02 11:16+1200\n"
+"POT-Creation-Date: 2011-06-20 21:33+0100\n"
 "PO-Revision-Date: 2010-03-02 12:36-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Japanese\n"
@@ -100,6 +100,9 @@
 msgid "Trash"
 msgstr ""
 
+msgid "Unmount"
+msgstr ""
+
 #. Photos
 #. FIXME: Need to figure out the default
 msgid "View Photos"

=== modified file 'po/ko.po'
--- po/ko.po	2011-06-01 23:46:41 +0000
+++ po/ko.po	2011-06-20 20:46:03 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-06-02 11:16+1200\n"
+"POT-Creation-Date: 2011-06-20 21:33+0100\n"
 "PO-Revision-Date: 2010-03-02 12:36-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Korean\n"
@@ -100,6 +100,9 @@
 msgid "Trash"
 msgstr ""
 
+msgid "Unmount"
+msgstr ""
+
 #. Photos
 #. FIXME: Need to figure out the default
 msgid "View Photos"

=== modified file 'po/nb.po'
--- po/nb.po	2011-06-01 23:46:41 +0000
+++ po/nb.po	2011-06-20 20:46:03 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-06-02 11:16+1200\n"
+"POT-Creation-Date: 2011-06-20 21:33+0100\n"
 "PO-Revision-Date: 2010-03-02 12:36-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Norwegian Bokmal\n"
@@ -100,6 +100,9 @@
 msgid "Trash"
 msgstr ""
 
+msgid "Unmount"
+msgstr ""
+
 #. Photos
 #. FIXME: Need to figure out the default
 msgid "View Photos"

=== modified file 'po/nl.po'
--- po/nl.po	2011-06-01 23:46:41 +0000
+++ po/nl.po	2011-06-20 20:46:03 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-06-02 11:16+1200\n"
+"POT-Creation-Date: 2011-06-20 21:33+0100\n"
 "PO-Revision-Date: 2010-03-02 12:36-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Dutch\n"
@@ -100,6 +100,9 @@
 msgid "Trash"
 msgstr ""
 
+msgid "Unmount"
+msgstr ""
+
 #. Photos
 #. FIXME: Need to figure out the default
 msgid "View Photos"

=== modified file 'po/pl.po'
--- po/pl.po	2011-06-01 23:46:41 +0000
+++ po/pl.po	2011-06-20 20:46:03 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-06-02 11:16+1200\n"
+"POT-Creation-Date: 2011-06-20 21:33+0100\n"
 "PO-Revision-Date: 2010-03-02 12:36-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Polish\n"
@@ -101,6 +101,9 @@
 msgid "Trash"
 msgstr ""
 
+msgid "Unmount"
+msgstr ""
+
 #. Photos
 #. FIXME: Need to figure out the default
 msgid "View Photos"

=== modified file 'po/pt.po'
--- po/pt.po	2011-06-01 23:46:41 +0000
+++ po/pt.po	2011-06-20 20:46:03 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-06-02 11:16+1200\n"
+"POT-Creation-Date: 2011-06-20 21:33+0100\n"
 "PO-Revision-Date: 2010-03-02 12:36-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Portuguese\n"
@@ -100,6 +100,9 @@
 msgid "Trash"
 msgstr ""
 
+msgid "Unmount"
+msgstr ""
+
 #. Photos
 #. FIXME: Need to figure out the default
 msgid "View Photos"

=== modified file 'po/pt_BR.po'
--- po/pt_BR.po	2011-06-01 23:46:41 +0000
+++ po/pt_BR.po	2011-06-20 20:46:03 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-06-02 11:16+1200\n"
+"POT-Creation-Date: 2011-06-20 21:33+0100\n"
 "PO-Revision-Date: 2010-03-02 12:36-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Brazilian Portuguese\n"
@@ -100,6 +100,9 @@
 msgid "Trash"
 msgstr ""
 
+msgid "Unmount"
+msgstr ""
+
 #. Photos
 #. FIXME: Need to figure out the default
 msgid "View Photos"

=== modified file 'po/ro.po'
--- po/ro.po	2011-06-01 23:46:41 +0000
+++ po/ro.po	2011-06-20 20:46:03 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-06-02 11:16+1200\n"
+"POT-Creation-Date: 2011-06-20 21:33+0100\n"
 "PO-Revision-Date: 2010-03-02 12:36-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Romanian\n"
@@ -101,6 +101,9 @@
 msgid "Trash"
 msgstr ""
 
+msgid "Unmount"
+msgstr ""
+
 #. Photos
 #. FIXME: Need to figure out the default
 msgid "View Photos"

=== modified file 'po/ru.po'
--- po/ru.po	2011-06-01 23:46:41 +0000
+++ po/ru.po	2011-06-20 20:46:03 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-06-02 11:16+1200\n"
+"POT-Creation-Date: 2011-06-20 21:33+0100\n"
 "PO-Revision-Date: 2010-03-02 12:36-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Russian\n"
@@ -101,6 +101,9 @@
 msgid "Trash"
 msgstr ""
 
+msgid "Unmount"
+msgstr ""
+
 #. Photos
 #. FIXME: Need to figure out the default
 msgid "View Photos"

=== modified file 'po/sk.po'
--- po/sk.po	2011-06-01 23:46:41 +0000
+++ po/sk.po	2011-06-20 20:46:03 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-06-02 11:16+1200\n"
+"POT-Creation-Date: 2011-06-20 21:33+0100\n"
 "PO-Revision-Date: 2010-03-02 12:36-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Slovak\n"
@@ -100,6 +100,9 @@
 msgid "Trash"
 msgstr ""
 
+msgid "Unmount"
+msgstr ""
+
 #. Photos
 #. FIXME: Need to figure out the default
 msgid "View Photos"

=== modified file 'po/sl.po'
--- po/sl.po	2011-06-01 23:46:41 +0000
+++ po/sl.po	2011-06-20 20:46:03 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-06-02 11:16+1200\n"
+"POT-Creation-Date: 2011-06-20 21:33+0100\n"
 "PO-Revision-Date: 2010-03-02 12:36-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Slovenian\n"
@@ -101,6 +101,9 @@
 msgid "Trash"
 msgstr ""
 
+msgid "Unmount"
+msgstr ""
+
 #. Photos
 #. FIXME: Need to figure out the default
 msgid "View Photos"

=== modified file 'po/sr.po'
--- po/sr.po	2011-06-01 23:46:41 +0000
+++ po/sr.po	2011-06-20 20:46:03 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-06-02 11:16+1200\n"
+"POT-Creation-Date: 2011-06-20 21:33+0100\n"
 "PO-Revision-Date: 2010-03-02 12:36-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Serbian\n"
@@ -101,6 +101,9 @@
 msgid "Trash"
 msgstr ""
 
+msgid "Unmount"
+msgstr ""
+
 #. Photos
 #. FIXME: Need to figure out the default
 msgid "View Photos"

=== modified file 'po/sv.po'
--- po/sv.po	2011-06-01 23:46:41 +0000
+++ po/sv.po	2011-06-20 20:46:03 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-06-02 11:16+1200\n"
+"POT-Creation-Date: 2011-06-20 21:33+0100\n"
 "PO-Revision-Date: 2010-03-02 12:36-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Swedish\n"
@@ -100,6 +100,9 @@
 msgid "Trash"
 msgstr ""
 
+msgid "Unmount"
+msgstr ""
+
 #. Photos
 #. FIXME: Need to figure out the default
 msgid "View Photos"

=== modified file 'po/th.po'
--- po/th.po	2011-06-01 23:46:41 +0000
+++ po/th.po	2011-06-20 20:46:03 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-06-02 11:16+1200\n"
+"POT-Creation-Date: 2011-06-20 21:33+0100\n"
 "PO-Revision-Date: 2010-03-02 12:37-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Thai\n"
@@ -99,6 +99,9 @@
 msgid "Trash"
 msgstr ""
 
+msgid "Unmount"
+msgstr ""
+
 #. Photos
 #. FIXME: Need to figure out the default
 msgid "View Photos"

=== modified file 'po/tr.po'
--- po/tr.po	2011-06-01 23:46:41 +0000
+++ po/tr.po	2011-06-20 20:46:03 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-06-02 11:16+1200\n"
+"POT-Creation-Date: 2011-06-20 21:33+0100\n"
 "PO-Revision-Date: 2010-03-02 12:37-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Turkish\n"
@@ -100,6 +100,9 @@
 msgid "Trash"
 msgstr ""
 
+msgid "Unmount"
+msgstr ""
+
 #. Photos
 #. FIXME: Need to figure out the default
 msgid "View Photos"

=== modified file 'po/unity.pot'
--- po/unity.pot	2011-06-01 23:46:41 +0000
+++ po/unity.pot	2011-06-20 20:46:03 +0000
@@ -8,7 +8,7 @@
 msgstr ""
 "Project-Id-Version: PACKAGE VERSION\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-06-02 11:16+1200\n"
+"POT-Creation-Date: 2011-06-20 21:33+0100\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
@@ -32,6 +32,9 @@
 msgid "Safely Remove"
 msgstr ""
 
+msgid "Unmount"
+msgstr ""
+
 msgid "Workspace Switcher"
 msgstr ""
 

=== modified file 'po/zh_CN.po'
--- po/zh_CN.po	2011-06-01 23:46:41 +0000
+++ po/zh_CN.po	2011-06-20 20:46:03 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-06-02 11:16+1200\n"
+"POT-Creation-Date: 2011-06-20 21:33+0100\n"
 "PO-Revision-Date: 2010-03-02 12:37-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Chinese (simplified)\n"
@@ -99,6 +99,9 @@
 msgid "Trash"
 msgstr ""
 
+msgid "Unmount"
+msgstr ""
+
 #. Photos
 #. FIXME: Need to figure out the default
 msgid "View Photos"

=== modified file 'po/zh_TW.po'
--- po/zh_TW.po	2011-06-01 23:46:41 +0000
+++ po/zh_TW.po	2011-06-20 20:46:03 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: l 10n\n"
 "Report-Msgid-Bugs-To: ayatana-dev@lists.launchpad.net\n"
-"POT-Creation-Date: 2011-06-02 11:16+1200\n"
+"POT-Creation-Date: 2011-06-20 21:33+0100\n"
 "PO-Revision-Date: 2010-03-02 12:37-0500\n"
 "Last-Translator: Canonical OEM\n"
 "Language-Team: Chinese (traditional)\n"
@@ -99,6 +99,9 @@
 msgid "Trash"
 msgstr ""
 
+msgid "Unmount"
+msgstr ""
+
 #. Photos
 #. FIXME: Need to figure out the default
 msgid "View Photos"

=== modified file 'services/CMakeLists.txt'
--- services/CMakeLists.txt	2011-05-18 09:12:53 +0000
+++ services/CMakeLists.txt	2011-06-20 20:46:03 +0000
@@ -2,7 +2,7 @@
 # Panel Service
 #
 find_package(PkgConfig)
-pkg_check_modules(SERVICE_DEPS REQUIRED gobject-2.0 gio-2.0 gtk+-3.0 gthread-2.0 indicator>=0.3.19 x11 gconf-2.0)
+pkg_check_modules(SERVICE_DEPS REQUIRED gtk+-2.0 gobject-2.0 gio-2.0 gthread-2.0 indicator x11 gconf-2.0)
 
 execute_process (COMMAND ${PKG_CONFIG_EXECUTABLE} indicator --variable indicatordir OUTPUT_VARIABLE _indicatordir OUTPUT_STRIP_TRAILING_WHITESPACE)
 execute_process (COMMAND ${PKG_CONFIG_EXECUTABLE} indicator --variable iconsdir OUTPUT_VARIABLE _iconsdir OUTPUT_STRIP_TRAILING_WHITESPACE)
@@ -32,7 +32,7 @@
   COMMENT "Generating marshallers")
 
 set(CFLAGS
-    ${SERVICE_DEPS_CFLAGS}
+    "${SERVICE_DEPS_CFLAGS}"
     ${SERVICE_DEPS_CFLAGS_OTHER}
     ${MAINTAINER_CFLAGS}
     "-DGETTEXT_PACKAGE=\"unity\""

=== modified file 'services/panel-service.c'
--- services/panel-service.c	2011-06-17 10:52:30 +0000
+++ services/panel-service.c	2011-06-20 20:46:03 +0000
@@ -228,8 +228,8 @@
         return GDK_FILTER_CONTINUE;
 			
 			//FIXME-GTK3 - is this compatible? drawable is gone from gdk3
-      Window     xwindow = gdk_x11_window_get_xid (window);
-      //Window     xwindow = gdk_x11_drawable_get_xid (GDK_DRAWABLE (window));
+      //Window     xwindow = gdk_x11_window_get_xid (window);
+      Window     xwindow = gdk_x11_drawable_get_xid (GDK_DRAWABLE (window));
 
       if (xwindow == 0)
         return GDK_FILTER_CONTINUE;
@@ -248,7 +248,7 @@
                      &win_y,
                      &mask_return);
 
-      gdk_window_get_geometry (window, &x, &y, &width, &height);
+      gdk_window_get_geometry (window, &x, &y, &width, &height, NULL);
       gdk_window_get_origin (window, &x, &y);
 
       if (x_root > x

=== removed directory 'utouch'
